import * as Rx from 'rxjs';
export interface IDataPagerOld {
    pageNumber: number;
    pageSize: number;
    pageNumberChanges: Rx.Subject<number>;
    pageSizeChanges: Rx.Subject<number>;
    startItem: number;
    filter<T>(dataSet: T[]): T[];
}
export declare class DataPagerOld implements IDataPagerOld {
    private _pageNumber;
    private _pageSize;
    pageNumberChanges: Rx.Subject<number>;
    pageSizeChanges: Rx.Subject<number>;
    constructor();
    pageNumber: number;
    pageSize: number;
    readonly startItem: number;
    filter(dataSet: any[]): any[];
}
